### Method

# AppStream Review set_flags

since: 0.14.0

#### Declaration [src]

    void
    as_review_set_flags (
      AsReview* review,
      AsReviewFlags flags
    )

#### Description [src]

Gets any flags set on the review, for example if the user has already voted on the review or if the user wrote the review themselves.

Available since: 0.14.0

Sets property | `AppStream.Review:flags`

#### Parameters

`flags`

  Type: `AsReviewFlags`

  A `AsReviewFlags`, e.g. `AS_REVIEW_FLAG_SELF`.